jQuery(function($) {
 	jQuery(document).ready(function($) {
		"use strict";
  	function remove_add_error_loading(){
			var output ='';
 			output ='<div class="reza-errored">';
			output+= "خطا";
  			output+= '</div>';
		 $('.reza-mouse-wait').append(output);
		  setTimeout(function(){ $('.reza-mouse-wait').remove() }, 2500);
 	}
	
	$(document).ajaxError(function( event, jqxhr, settings, thrownError ) {
		remove_add_error_loading();
	  });
	  	jQuery(document).on("click" ,'.reza_title_tabs a' ,function(){
		$(this).parent().find('.reza_layout_active').removeClass('reza_layout_active');
		$(this).addClass('reza_layout_active');
		var value = $(this).attr('data-id');
		$(this).parents('.reza_icon,.reza_options_middle,.reza_model_middle').find('.reza_layout_group_active').removeClass('reza_layout_group_active');
		$(this).parents('.reza_icon,.reza_options_middle,.reza_model_middle').find('[data-tab="'+value+'"]').addClass('reza_layout_group_active');
 			
	});
		 
	   
	  	$(document).on("click",'.reza_title_tabs a',function() {
			var id =$(this).attr('data-id'); 
  					$('.reza_options_warp[data-tab="'+id+'"]').find('.reza_options_fold').each(function() {
					var show;
					$(this).find('.reza_options_fold_item').each(function() {
					var data_name = $(this).attr('data-name'); 			
					var data_value = $(this).attr('data-value');
					var type = $('.reza_options  [name="'+data_name+'"]').attr('type');
						if(type == 'radio'){
						var checked = $('.reza_options [name="'+data_name+'"][value="'+data_value+'"]').attr('checked');
							if( checked == 'checked' ){
									show = 'checked';
							}
						}else{
							var val =$('.reza_options [name="'+data_name+'"]').val();
							if(data_value == val){
								show = 'checked';
							}
							
						}
											
					});
						if( show == 'checked' ){
							$(this).parent().attr('data-active','show');
						}else{
							$(this).parent().attr('data-active','hide');
						}
				 });	
	 
	 
			$('.reza_options_warp[data-tab="'+id+'"]').find('.reza_options_fold_item').each(function() {
				var data_name = $(this).attr('data-name');
				var actives  = $('[name="'+data_name+'"]').parents(items).attr('data-active');
				if(	 actives == 'hide' ){
					$(this).parent().parent().attr('data-active','hide');
				}
 			}); 
		});
		
		
		
		 
  	
	 
	/****************************************************
	Icons
	*****************************************************/	
	jQuery(document).on("click",".reza_icon_close",function(){
 		jQuery('body').removeClass('reza-active-icon');
		$(this).parents('.reza_icon').remove();
	
	}); 		 
	jQuery(document).on("click",".reza_builder_choose_icon",function(){
	 
		jQuery('body').addClass('reza-active-icon');
 
		$('body').append('<div class="reza-mouse-wait"></div>');
  		var get = $(this).parent().attr('id-icon');
 		var data_this = $(this);
		$.ajax({
			type: 'POST',

 			url: reza_admin_menu_js.ajaxurl,
			data : {
				action : 'reza_icon_picker',
				id : get,
			},
			success:function(data) {
				
 				if( data.length){
					
					jQuery('body').append(data); 
					$('.reza-mouse-wait').remove(); 
				}else{
					 remove_add_error_loading();
				}
   			} 
		});  	
			 
		$.ajax({
			type: 'POST',

 			url: reza_admin_menu_js.ajaxurl,
			data : {
				action : 'reza_icon_fonts',
				ajax : '1',
 			},
			success:function(data) {
 				if( data.length){
					$('.reza-icon-fonts').remove();
  					jQuery('body').append(data); 
 				}else{
					 remove_add_error_loading();
				} 
			}
		});  	
		
	
		
				  
   	});
	 	 
	jQuery(document).on("click",".reza_icon ul li",function(){
		$(this).parents('.reza_icon').find('.reza_icon_item').removeClass('selected');
		$(this).addClass('selected');
	});
		 
	// Set Icon	 
	jQuery(document).on("click",".reza_set_icon",function(){
			
		var icon = $(this).parents('.reza_icon').find('.selected').data('icon');
		var id =   $(this).parents('.reza_icon').data('id');
		var set = $('.reza_menu_icon[id-icon="'+id+'"]');
		$(set).find('.reza-menu-icon ').remove();
		$(set).find('input').attr('value',icon);
		$(set).append('<i class="fa reza-menu-icon '+icon+'"><a  class="reza_builder_remove_icon" ></a></i>');
 		$(this).parents('.reza_icon').remove();
		jQuery('body').removeClass('reza-active-icon');
 	}); 
		
	jQuery(document).on("click",".reza_builder_remove_icon",function(){
		$(this).parents('.reza_menu_icon').find('input').val('');
		$(this).parent().remove();
	}); 
	jQuery(document).on("keyup",".search-icon-control",function(){
		var val = $(this).val();
		if(val !== ''){
			 $(this).parents('.reza_icon').attr('reza-has-search','active');
 		}else{
			 $(this).parents('.reza_icon').attr('reza-has-search','deactive');
		}
	  $('.reza_icon_item').each(function(){
			 $(this).addClass('reza-search-item');
			if($(this).find('span').text().toLowerCase().indexOf(""+val+"") != -1 ){
			 $(this).addClass('reza-search-show');
			}else{
			 $(this).removeClass('reza-search-show');
			}
 	 });
	  $('.reza_icon_head').each(function(){
			 $(this).addClass('reza-search-item');
 	 });
  
  
 	});
	
	
	
	
	jQuery('.reza_category').hide();
		
		jQuery(".menu-item-settings").each(  function(index, element) {
			var menu_type = $(this).find(' .reza_menu_type select').val();
			 if( menu_type == 'recent'||menu_type == 'random'||menu_type == 'sub-random'||menu_type == 'sub-recent') {
			jQuery(this).find('.reza_category,.reza_ratio').show();
	
				
			} else  {
				jQuery(this).find('.reza_category,.reza_ratio').hide();
	
				
			}	
			
		});
		
		jQuery(document).on("click" ,'.reza_menu_type  option[value="recent"],.reza_menu_type  option[value="random"],.reza_menu_type  option[value="sub-recent"],.reza_menu_type  option[value="sub-random"]' ,function(){
			jQuery(this).parents('.menu-item-settings').find('.reza_category,.reza_ratio').show();
		}); 
		jQuery(document).on("click" ,'.reza_menu_type  option[value=""],.reza_menu_type  option[value="col-2"],.reza_menu_type  option[value="col-3"],.reza_menu_type  option[value="col-4"],.reza_menu_type  option[value="col-5"],.reza_menu_type  option[value="col-6"]' ,function(){
			jQuery(this).parents('.menu-item-settings').find('.reza_category,.reza_ratio').hide();
		}); 
		
		

				 
	// the upload image button, saves the id and outputs a preview of the image
	$(document).on( 'click', '.reza_menu_add_image',function(event) {
		var imageFrame;
 		var that = $(this);
 		var remove = $(this).attr('data-remove-text');
		event.preventDefault();
		var this_class= $(this).parents('.reza_menu_upload');
		var options, attachment;
 		var $self = $(event.target);
 		
		// if the frame already exists, open it
		if ( imageFrame ) {
			imageFrame.open();
			return;
		}
		
		imageFrame = wp.media({
  			title: $(this).data('uploader-title'),
			button: {
				text: $(this).data('uploader-button-text'),
			},
			multiple: false
		});
		
		// set up our select handler
		imageFrame.on( 'select', function() {
			var selection = imageFrame.state().get('selection');
			
			if ( ! selection )
			return;
			
			// loop through the selected files
			selection.each( function( attachment ) {
				console.log(attachment);
				var src = attachment.attributes.sizes.full.url;
				var id = attachment.attributes.id;
				var data = '<a class="reza_remove_image button button-small">'+remove+'</a><img  src="'+src+'"/>';
				this_class.find('.reza_remove_image').remove();
				this_class.find('img').remove();
 				this_class.find('input').attr('value',id);	
 				this_class.append(data);
  			} );
		});
		
		// open the frame
		imageFrame.open();
	});
	
	$(document).on('click', '.reza_remove_image ', function(e) {
		$(this).parent().find('input').attr('value','');
		
		$(this).parent().find('img').remove()
		$(this).remove();
  	}); 	

   	$(document).on("click",".reza_menu_sub_column_ui img",function(){
			$(this).parents('.reza_menu_sub_column_ui').find('.selected').removeClass('selected');
			$(this).parents('.reza_menu_sub_column_ui').find('input:checked').attr('checked','');
 			$(this).parent().addClass('selected');
 			$(this).prev().attr('checked','checked');
  	});	
		 
	
	
	
	
	});
});
 